Anime Battle Cry Poses Pack For V4 by EmmaAndJordi ()

Anime Battle Cry Poses Pack For V4

Requirements:  PC compatible, not tested in Mac. Poser 6 and Up, and/or DAZ Studio 3 and up. These poses are for Victoria 4

Departments: